LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices


Reply
  Search this Thread
Old 06-23-2004, 10:55 AM   #1
trogdor101
LQ Newbie
 
Registered: Jun 2004
Posts: 2

Rep: Reputation: 0
ATI ASUS 9600XT under Fedora Core 2


I have an Asus radeon 9600xt that I have been trying to work under fedora core 2. I followed the howto posted here and this is what happens.

[root@homestar ati]# rpm -replacefiles -ivh fglrx-4.3.0-3.9.0.i386.rpm
rpm: arguments to --root (-r) must begin with a /
[root@homestar ati]# rpm --replacefiles -ivh fglrx-4.3.0-3.9.0.i386.rpm
Preparing... ########################################### [100%]
1:fglrx ########################################### [100%]
*** Trying to install a precompiled kernel module.
*** WARNING ***
Tailored kernel module for fglrx not present in your system.
You must go to /lib/modules/fglrx/build_mod subdir
and execute './make.sh' to build a fully customed kernel module.
Afterwards go to /lib/modules/fglrx and run './make_install.sh'
in order to install the module into your kernel's module repository.
(see readme.txt for more details.)

As of now you can still run your XServer in 2D, but hardware acclerated
OpenGL will not work and 2D graphics will lack performance.

failed.
*** Found kernel module build environment, generating kernel module now.
ATI module generator V 2.0
==========================
initializing...
Error:
XFree86 drm includes at /lib/modules/2.6.6-1.435smp/build/include/../drivers/char/drm do not fit this driver.
This driver is designed to only work with X4.1.0 or higher.
You can match this by getting Linux kernel 2.4.8 or higher.
*** WARNING ***
Tailored kernel module for fglrx not present in your system.
You must go to /lib/modules/fglrx/build_mod subdir
and execute './make.sh' to build a fully customed kernel module.
Afterwards go to /lib/modules/fglrx and run './make_install.sh'
in order to install the module into your kernel's module repository.
(see readme.txt for more details.)

As of now you can still run your XServer in 2D, but hardware acclerated
OpenGL will not work and 2D graphics will lack performance.

failed.
Installed: qt3 (gcc 3.2) based control panel application
===
ATI display drivers successfully installed
please run 'fglrxconfig' now
===

so then I try to compile the module:

[root@homestar ati]# cd /lib/modules/fglrx/build_mod/
[root@homestar build_mod]# patch -p1 </home/fduarte/rage3d/fglrx-3.7.6-fedora.patch
patching file 2.6.x/Makefile
patching file make.sh
[root@homestar build_mod]# patch -p1 </home/fduarte/rage3d/fglrx-3.7.6-regparm.patch
patching file firegl_public.c
Hunk #48 succeeded at 2195 with fuzz 2 (offset 61 lines).
Hunk #50 succeeded at 2231 (offset 61 lines).
Hunk #52 succeeded at 2311 (offset 61 lines).
Hunk #54 succeeded at 2337 (offset 61 lines).
Hunk #56 succeeded at 2652 (offset 61 lines).
Hunk #58 succeeded at 2783 (offset 61 lines).
Hunk #60 succeeded at 2828 (offset 61 lines).
Hunk #62 succeeded at 2852 (offset 61 lines).
Hunk #64 succeeded at 2874 (offset 61 lines).
Hunk #66 succeeded at 2902 (offset 61 lines).
Hunk #68 succeeded at 2944 (offset 61 lines).
Hunk #70 succeeded at 3041 (offset 61 lines).
Hunk #72 succeeded at 3073 (offset 61 lines).
Hunk #74 succeeded at 3196 (offset 61 lines).
patching file firegl_public.h
Hunk #2 succeeded at 77 (offset 4 lines).
Hunk #3 FAILED at 107.
Hunk #5 succeeded at 200 (offset 4 lines).
Hunk #7 succeeded at 340 (offset 4 lines).
Hunk #8 FAILED at 377.
2 out of 8 hunks FAILED -- saving rejects to file firegl_public.h.rej
patching file make.sh
[root@homestar build_mod]# sh make.sh
ATI module generator V 2.0
==========================
initializing...
Error:
XFree86 drm includes at /usr/src/linux-2.6.6-1.435smp/drivers/char/drm do not fit this driver.
This driver is designed to only work with X4.1.0 or higher.
You can match this by getting Linux kernel 2.4.8 or higher.
[root@homestar build_mod]# sh make_install.sh
make_install.sh: make_install.sh: No such file or directory

can someone help me?
 
Old 07-17-2004, 10:05 AM   #2
shashir
Member
 
Registered: Jul 2004
Posts: 70

Rep: Reputation: 15
Same prob

I have an ATI Radeon 9500 Pro and also have the same problems with Fedora Core 2. From the information I gathered:

-Fedora Core 2 uses the new XOrg system, while ATI still uses the XFree86
-It is possible to patch the FGLRX modules so that they work for FC2, but the process is long, tedious, and takes hours of dedication, and reinstallation. I got it to work after installing all sorts of crazy silly patches... in fact I don't even know how I did it! Unfortunately I reinstalled FC2 hoping to start off fresh because wine failed... now I can't get FGLRX working!
-It is possible to "downgrade" to XFree86 so that FGLRX will work... didn't try it... since the performance will be lacking... I won't even try it!
-I know that there are huge threads on Rage3D.com about how to get FGLRX working... but they are too confusing and most of the methods don't work.
-FGLRX and ATI modules work perfectly on Slackware 9.1, but Slackware 9.1 has a sound issue. I can't play games without sound... half of the experience of game-playing depends on the sound and feel! Others got the sound to work, but I didn't, and I don't know where to start! In fact I'm having trouble with sound on FC2. Happily I found instructions that told me to download alsa drivers, libs, utils, and tools from alsa.sf.net. I'm in the process of installing them.

You guys find anything that can help us get FGLRX working on Fedora Core 2, please tell me!
 
Old 07-18-2004, 02:45 PM   #3
trogdor101
LQ Newbie
 
Registered: Jun 2004
Posts: 2

Original Poster
Rep: Reputation: 0
Cool Went anoter route.

i went ahead and installed suse 9.1 and there are drivers available for ati and nvidia. nvidia drivers are easier to install since suse has native drivers that will install via YOU. It's too bad that suse has not ported the ati drivers. i think it has something to do with ati not releasing code to develop drivers. anhyhow, I got it working just fine and now i can play games, and do whatever with 3d support. I had quite a hard time with fecora core 2. first off the intallation cd has issues with my motherboard. I have an Asus p4p800 deluxe and it didn't like that a bit. and then i couldn't get 3d support on it. suse has been good to me out of the box. with a few howtos and rpms, i got all the functionalities to work well. thank you for the support.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
ATI Radeon 9600XT under Fedora Core 2 Test 1 sausagejohnson Linux - Hardware 4 08-18-2004 08:47 PM
Asus Radeon 9600XT On Fedora Core 2 Problems FireDemon666 Fedora 3 07-29-2004 09:02 PM
ATI Radeon 9600XT with Fedora Core 2 and Kernel 2.6.6-1.427 yank2451 Linux - Hardware 0 06-13-2004 02:20 PM
ASUS Ati Radeon 9600xt marcuzt Linux - Hardware 3 03-30-2004 06:38 AM
radeon 9600xt gnome bootup crash on fedora core 1 PawnsharK Linux - Hardware 0 03-08-2004 01:08 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware

All times are GMT -5. The time now is 11:44 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration